Subject: Re: bug#65236: package/inherit records lack location for version field

From: Simon Tournier <[email-masked]>
Date: Tue, 05 Sep 2023 16:38:58 +0200

Hi Maxim,

On Fri, 11 Aug 2023 at 21:27, Maxim Cournoyer <[email-masked]> wrote:

> --8<---------------cut here---------------start------------->8---
> (use-modules (guix package)
>              (gnu packages qt))
>
> (package-field-location qtbase 'version)
>
> => #f
> --8<---------------cut here---------------end--------------->8---

[...]

> Now, package/inherit is bogus here, but the problems remains for other
> packages, such as zxing-cpp-1.2.

I think it is fixed by <https://issues.guix.gnu.org/issue/65757>.

Cheers,
simon